
Foreman - Bug #171

Error when adding parameters to a new "Host Group"

03/04/2010 09:49 AM - Marcello de Sousa

Status: Closed   

Priority: Low   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Not a big deal but, when I create a new "Host Group" ("Puppet Group" menu item in the settings), if I immediatelly try to add

parameters I get an error. Example:

2 errors prohibited this hostgroup from being saved

There were problems with the following fields:

    * Group parameters is invalid

    * Group parameters is invalid

 Workaround: First create the group without any parameters and click CREATE. Then re-open it for editing and only then add/create

the parameters.

Related issues:

Is duplicate of Foreman - Refactor #200: Remove activescaffold from the puppe... Closed 04/07/2010

History

#1 - 03/04/2010 09:52 AM - Marcello de Sousa

Btw, on the parameter field I see the following error:

1 error prohibited this groupparameter from being saved

There were problems with the following fields:

    * Hostgroup can't be blank

#2 - 03/04/2010 12:04 PM - Ohad Levy

- Target version deleted (0.1-4)

I know.

The whole edit page of hosts classes etc is undergoing a change now (in the NO_AS branch), this will also fix this issue.

#3 - 03/08/2010 07:09 AM - Ohad Levy

- Target version set to 0.1-5

#4 - 03/18/2010 10:23 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Assignee changed from Ohad Levy to Paul Kelly

A fix for this bug can be found on branch bug/171 on my github

#5 - 04/14/2010 04:18 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
